Subject: Re: bug#2577: 23.0.91; startup.el should choose .emacs ahead of .emacs.elc if .emacs is newer

From: Lennart Borgman <[email-masked]>
Date: Sun, 8 Mar 2009 02:06:37 +0100

On Sun, Mar 8, 2009 at 12:11 AM, Stefan Monnier
<[email-masked]> wrote:
>> Typically it's pulling in a later version from an SCM that the warning
>> case trips up on, as the doesn't trip the compile-on-save hook that
>> most people use to auto compile .emacs.
>
> People waste more time dealing with problems introduced by compiling
> their .emacs than they win by have the file load more quickly.
>
>> As Emacs is a configurable editor would adding a variable to control
>> this behaviour be the way forward? A lot of people do run their
>
> Since Emacs is configurable, you can do that in your .emacs actually:
> check whether the .el is more recent and load it explicitly if so.

It is easier to do this if you divide .emacs in one part that just
load another file that contains what you now have in your .emacs.